boards:
  "0451:6165": "am62l3"

soc-models:
  #recovery binaries
  am62l3-firmware:
    tiboot3:
      path: "board-support/u-boot-build/a53/tiboot3.bin" 
    tispl:
      path: "board-support/u-boot-build/a53/tispl.bin" 
    u-boot:
      path: "board-support/u-boot-build/a53/u-boot.img" 

  am62l3-tasks:
    - target-device: mmc0
      fb-buffer-addr: 0x82000000
      fb-buffer-size: 0x7000000
    - task: reset
    - task: flash
      args:
        - image: "<path_to_flash_binaries>/tiboot3.bin"
          image-offset: 0x0
          part: "hwpart 1"
        - image: "<path_to_flash_binaries>/tispl.bin"
          image-offset: 0x80000
          part: "hwpart 1"
        - image: "<path_to_flash_binaries>/u-boot.img"
          image-offset: 0x280000
